net.sf.jasperreports.engine.util

## Class CompositeExpressionChunkVisitor

- java.lang.Object
- - net.sf.jasperreports.engine.util.CompositeExpressionChunkVisitor

- All Implemented Interfaces:
    ExpressionChunkVisitor

      public class CompositeExpressionChunkVisitor
      extends java.lang.Object
      implements ExpressionChunkVisitor

  Composite expression chunk visitor.
  Version:
    $Id: CompositeExpressionChunkVisitor.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeExpressionChunkVisitor(ExpressionChunkVisitor... visitors)` Creates a composite visitor that uses a list of visitors.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visitFieldChunk(JRExpressionChunk chunk)`
    `void` | `visitParameterChunk(JRExpressionChunk chunk)`
    `void` | `visitResourceChunk(JRExpressionChunk chunk)`
    `void` | `visitTextChunk(JRExpressionChunk chunk)`
    `void` | `visitVariableChunk(JRExpressionChunk chunk)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeExpressionChunkVisitor

          public CompositeExpressionChunkVisitor(ExpressionChunkVisitor... visitors)

      Creates a composite visitor that uses a list of visitors.
      Parameters:
        `visitors` - the list of visitors

  - ### Method Detail

    - #### visitTextChunk

          public void visitTextChunk(JRExpressionChunk chunk)

      Specified by:
        `visitTextChunk` in interface `ExpressionChunkVisitor`

    - #### visitParameterChunk

          public void visitParameterChunk(JRExpressionChunk chunk)

      Specified by:
        `visitParameterChunk` in interface `ExpressionChunkVisitor`

    - #### visitFieldChunk

          public void visitFieldChunk(JRExpressionChunk chunk)

      Specified by:
        `visitFieldChunk` in interface `ExpressionChunkVisitor`

    - #### visitVariableChunk

          public void visitVariableChunk(JRExpressionChunk chunk)

      Specified by:
        `visitVariableChunk` in interface `ExpressionChunkVisitor`

    - #### visitResourceChunk

          public void visitResourceChunk(JRExpressionChunk chunk)

      Specified by:
        `visitResourceChunk` in interface `ExpressionChunkVisitor`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com